# Base64Codec class

A base64 encoder and decoder.

A Base64Codec allows base64 encoding bytes into ASCII strings and decoding valid encodings back to bytes.

This implementation only handles the simplest RFC 4648 base64 and base64url encodings. It does not allow invalid characters when decoding and it requires, and generates, padding so that the input is always a multiple of four characters.

Inheritance
  - Object
  - Codec<List<int>, String>
  - Base64Codec

## Constructors

Base64Codec()
  const
Base64Codec.urlSafe()
  const

## Properties

decoder → Base64Decoder
  Returns the decoder of `this`, converting from `T` to `S`. [...]
  read-only, override
encoder → Base64Encoder
  Returns the encoder from `S` to `T`. [...]
  read-only, override
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
inverted → Codec<String, List<int>>
  Inverts `this`. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

decode(String encoded) → Uint8List
  Decodes `encoded`. [...]
  override
normalize(String source, [ int start = 0, int end ]) → String
  Validates and normalizes the base64 encoded data in `source`. [...]
encode(List<int> input) → String
  Encodes `input`. [...]
  inherited
fuse<R>(Codec<String, R> other) → Codec<List<int>, R>
  Fuses `this` with `other`. [...]
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited